import { $httpWithMsg } from "../../plugins/axios";
import { QUESTION_API } from "@/constants/constants.js";

// paper-template-mamage
export const paperTemplateListApi = (datas) => {
  return $httpWithMsg.post(`${QUESTION_API}/paper/template/page`, datas);
};
export const paperTemplateDetailApi = (tid) => {
  return $httpWithMsg.post(
    `${QUESTION_API}/paper/template/page`,
    {},
    {
      params: { id: tid },
    }
  );
};

export const savePaperTemplateApi = (datas) => {
  return $httpWithMsg.post(
    QUESTION_API + "/paper/template/save/structure",
    datas
  );
};
export const paperTemplateEnableApi = ({ id, enable }) => {
  return $httpWithMsg.post(
    QUESTION_API + "/paper/template/toggle",
    {},
    {
      params: { id, enable },
    }
  );
};
export const paperTemplateDeleteApi = (ids) => {
  return $httpWithMsg.post(
    QUESTION_API + "/paper/template/delete",
    {},
    {
      params: { ids: ids.join() },
    }
  );
};
